RequestListener
Keywords: uk.ac.ic.doc.automed.p2p.communication.RequestListener interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.communication
Interface RequestListener

All Known Implementing Classes:
  AbstractRequestListener, AutoMedPeer, P2PDirectory, P2PRegistry, UpdateDataMessageHandler

    public interface RequestListener

Author:
  Charis Edited by Duc Le

Method Summary
`void` | `handleRequest(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage request, java.io.OutputStream output)` Handle TCP-type requests
`void` | `handleRequest(byte[] dataReceived)` Another handler for TCP-type requests
`byte[]` | `handleUDPRequest(byte[] dataReceived)` Added by mdle on 25/10/2005 to handle UDP request
`byte[]` | `handleUDPRequest(java.net.InetAddress srcHost, int srcPort, byte[] dataReceived)`
`byte[]` | `handleUDPRequest(java.lang.String srcHost, int srcPort, byte[] dataReceived)`

Method Detail

### handleRequest

    void handleRequest(uk.ac.ic.doc.automed.p2p.messages.abstractlayer.AbstractMessage request,
                       java.io.OutputStream output)
                       throws java.io.IOException

  Handle TCP-type requests

  Throws:
    `java.io.IOException`

### handleRequest

    void handleRequest(byte[] dataReceived)
                       throws CommunicationException

  Another handler for TCP-type requests

  Throws:
    `CommunicationException`

### handleUDPRequest

    byte[] handleUDPRequest(byte[] dataReceived)
                            throws CommunicationException

  Added by mdle on 25/10/2005 to handle UDP request

  Throws:
    `CommunicationException`

### handleUDPRequest

    byte[] handleUDPRequest(java.lang.String srcHost,
                            int srcPort,
                            byte[] dataReceived)
                            throws CommunicationException

  Throws:
    `CommunicationException`

### handleUDPRequest

    byte[] handleUDPRequest(java.net.InetAddress srcHost,
                            int srcPort,
                            byte[] dataReceived)
                            throws CommunicationException

  Throws:
    `CommunicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD